use serde::Deserialize;

#[derive(Deserialize)]
struct LoginResponse {
    id: String, // todo should be a uuid
    #[serde(rename = "isAdmin")]
    is_admin: bool,
    name: String,
    #[serde(rename = "subsonicSalt")]
    subsonic_salt: String,
    #[serde(rename = "subsonicToken")]
    subsonic_token: String,
    token: String,
    username: String,
}
